
Infrastructure - Bug #1294

update action not reading multipart parameters

2011-02-04 05:53 - Rob Nahf

Status: Closed Start date:  

Priority: High Due date:  

Assignee: Chad Berkley % Done: 100%

Category: Metacat Estimated time: 0.00 hour

Target version: Sprint-2011.05   

Milestone:  Story Points:  

Product Version: *   

Description

update still throwing error:  "obsoletedGuid must be contained in the request parameters".  Checking the log files, found that it is

passed to the server, but looks like a problem with the setting of the params when the multipart file is interpreted by the

ResourceHandler instance.  ResourceHandler uses two objects named params:  the instance Hashtable params, and a locally

scoped Map named params in putObject method that is used to iterate over the multipart params, but loses scope before checks are

done to see if the required obsoletedGuid parameter is there.  So, the parameter checking is looking in the wrong place for

obsoletedGuid.

History

#1 - 2011-02-04 06:04 - Rob Nahf

- Category set to Metacat

- Assignee set to Chad Berkley

- Priority changed from Normal to High

#2 - 2011-02-08 19:47 - Chad Berkley

- Status changed from New to Closed

- % Done changed from 0 to 100

fixed.
